Skip to main content
POST
Create conversation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating a new conversation.

name
string | null

Name for the conversation.

Response

Created conversation

The conversation object represents a conversation with an AI agent.

object
enum<string>
required

The object type, which is always conversation.

Available options:
conversation
id
string
required

The conversation identifier, which can be referenced in the API endpoints.

created_at
string<date-time>
required

The ISO string for when the conversation was created.

updated_at
string<date-time>
required

The ISO string for when the conversation was last updated.

name
string

The name of the conversation.

agent_ids
string[]

Array of agent IDs currently assigned to this conversation.

participated_agent_ids
string[]

Array of agent IDs that have previously responded in this conversation. This list only grows and is never cleared when agents are reassigned.